(height, percent, charge, low, lpm, m_color, b_color) {
	function draw_rRect( left, top, right, bottom, r ) {
		ctx.beginPath();
		ctx.moveTo( left + r, top );
		ctx.lineTo( right - r, top );
		ctx.arc( right - r, top + r, r, -pi/2, 0, false);
		ctx.lineTo( right,  bottom - r );
		ctx.arc( right - r, bottom - r, r, 0, pi/2, false);
		ctx.lineTo( left + r, bottom);
		ctx.arc( left + r, bottom - r, r, pi/2, pi, false);
		ctx.lineTo( left, top + r);
		ctx.arc( left + r, top + r, r, pi, pi*3/2, false);
		ctx.closePath();
		ctx.fill();
	}
	
	var canvas = document.createElement("canvas");
	canvas.height = height/2;
	canvas.width = canvas.height * 2.1;
	var ctx = canvas.getContext("2d");
	
	var r = height / 20;
	var m = height / 20;
	var p_Left = 0;
	var p_Right = canvas.height * 1.9;
	var p_Top = 0;
	var p_Bottom = canvas.height;
	var pi = Math.PI;
	
	ctx.fillStyle = "orange";
	draw_rRect( p_Right-r, p_Top + m*3, p_Right + m*2, p_Bottom - m*3, r );
	ctx.globalCompositeOperation = "destination-out"; 
	draw_rRect( p_Right, p_Top + m*3+r, p_Right + m*2-r, p_Bottom - m*3-r, 0 );
	
	ctx.globalCompositeOperation = "source-over"; 
	
	draw_rRect( p_Left, p_Top, p_Right, p_Bottom, r );
	ctx.globalCompositeOperation = "destination-out"; 
	draw_rRect( p_Left+r, p_Top+r, p_Right-r, p_Bottom-r, 0 );

	return canvas.toDataURL("image/png");
}
